## librem-ec-acpi 0.9.1

=== Makefile ===
obj-m := librem_ec_acpi.o
KERNEL_DIR = /lib/modules/$(shell uname -r)/build

all:
	$(MAKE) -C "$(KERNEL_DIR)" M="$(PWD)" modules

clean:
	$(MAKE) -C "$(KERNEL_DIR)" M="$(PWD)" clean

=== debian/changelog ===
librem-ec-acpi (0.9.1-4) unstable; urgency=medium

  * QA upload.
  * Do not build the module for kernels without CONFIG_ACPI, CONFIG_HWMON.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Feb 2023 13:58:53 +0100

librem-ec-acpi (0.9.1-3) unstable; urgency=medium

  * set Testsuite: autopkgtest-pkg-dkms;
    closes: bug#1030237, thanks to Andreas Beckmann
  * declare compliance with Debian Policy 4.6.2
  * orphan package: set maintainer to Debian QA Group
  * fix Vcs-* fields,
    thanks to Andreas Beckmann (see bug#1030237)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Feb 2023 14:49:11 +0100

librem-ec-acpi (0.9.1-2) unstable; urgency=medium

  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Aug 2021 13:48:51 +0200

librem-ec-acpi (0.9.1-1) experimental; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 May 2021 12:32:45 +0200

librem-ec-acpi (0.9-1) experimental; urgency=medium

  [ upstream ]
  * initial release
    (source identical to previous snapshot)

  [ Jonas Smedegaard ]
  * update watch file: track tags (not git commits)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Apr 2021 09:02:52 +0200

librem-ec-acpi (0~20210413-1) experimental; urgency=medium

  [ upstream ]
  * new development snapshot
    + Match kbd backlight levels with current Librem EC release
    + Add author, update copyright

  [ Jonas Smedegaard ]
  * copyright info: update coverage
  * relax clean target
    to tolerate dkms not installed outside of build chroot

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Apr 2021 17:33:29 +0200

librem-ec-acpi (0~20210406-2) experimental; urgency=medium

  * fix install path
  * add source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Apr 2021 14:15:33 +0200

librem-ec-acpi (0~20210406-1) experimental; urgency=low

  * initial packaging release
    closes: bug#986451

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Apr 2021 12:25:20 +0200

=== debian/control ===
Source: librem-ec-acpi
Section: kernel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
Standards-Version: 4.6.2
Homepage: https://source.puri.sm/nicole.faerber/librem-ec-acpi-dkms
Vcs-Git: https://salsa.debian.org/debian/librem-ec-acpi.git
Vcs-Browser: https://salsa.debian.org/debian/librem-ec-acpi
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: librem-ec-acpi-dkms
Architecture: all
Depends:
 ${misc:Depends},
Description: dkms driver sources for EC ACPI in Purism Librem devices
 The driver librem_ec_acpi provides Linux kernel support
 for the ACPI embedded controller of the following devices:
  * Purism Librem 14 laptop
 .
 Advanced Configuration and Power Interface (ACPI) is a protocol
 to discover and configure computer hardware components,
 to perform power management
 e.g. putting unused hardware components to sleep,
 to perform auto configuration
 e.g. Plug and Play and hot swapping,
 and to perform status monitoring.
 .
 This package provides sources for the librem_ec_acpi kernel module,
 for use with the Dynamic Kernel Module Support (dkms) framework.

## librem-ec-acpi 0.9.2

=== debian/changelog ===
librem-ec-acpi (0.9.2-3) unstable; urgency=medium

  * QA upload.
  * Update watch file.
  * Declare BUILD_EXCLUSIVE_KERNEL_MIN="5.2" for using HWMON_CHANNEL_INFO.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 13 Feb 2025 01:35:40 +0100

librem-ec-acpi (0.9.2-2) unstable; urgency=medium

  * QA upload.
  * Fix building the module for Linux 6.10.  (Closes: #1077216)
  * Do not build the module for kernels without CONFIG_ACPI_BATTERY.
  * Declare compliance with Debian Policy 4.7.0.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Aug 2024 20:28:21 +0200

librem-ec-acpi (0.9.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.  (Closes: #1038918, #1038001)
  * Add debian/upstream/metadata.
  * Use a noawait trigger.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Jun 2023 11:09:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-dkms,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://source.puri.sm/nicole.faerber/librem-ec-acpi-dkms
 Vcs-Git: https://salsa.debian.org/debian/librem-ec-acpi.git
 Vcs-Browser: https://salsa.debian.org/debian/librem-ec-acpi

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM

%:
	dh $@ --buildsystem=none

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

ifneq (,$(wildcard .git))
upstream:
	git remote show $@ >/dev/null 2>&1 || git remote add $@ $(shell sed -rn 's/Repository: //p' debian/upstream/metadata)
	git fetch $@ --prune
endif

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
downloadurlmangle=s%tags/(@ANY_VERSION@)%archive/$1/@PACKAGE@-$1.tar.gz%g,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://source.puri.sm/nicole.faerber/librem-ec-acpi-dkms/-/tags \
.*/tags/@ANY_VERSION@
